Skip to main content
POST
/
api
/
public
/
feed
Fetch feed events
curl --request POST \
  --url https://monitoryt.com/api/public/feed \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 100,
  "types": [],
  "channelIds": [
    "<string>"
  ]
}
'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cursor: '<string>', limit: 100, types: [], channelIds: ['<string>']})
};

fetch('https://monitoryt.com/api/public/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://monitoryt.com/api/public/feed"

payload = {
"cursor": "<string>",
"limit": 100,
"types": [],
"channelIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "events": [
    {
      "id": "<string>",
      "createdAt": 123,
      "channel": {
        "id": "<string>",
        "youtubeChannelId": "<string>",
        "title": "<string>",
        "thumbnailUrl": "<string>"
      },
      "type": "video_published",
      "video": {
        "youtubeVideoId": "<string>",
        "currentTitle": "<string>",
        "currentThumbnailUrl": "<string>",
        "publishedAt": 123,
        "isMembersOnly": true,
        "viewCount": 1,
        "likeCount": 1,
        "commentCount": 1
      }
    }
  ],
  "nextCursor": "<string>"
}
{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}
{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}
{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}
{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}
{
"error": "<string>",
"message": "<string>",
"details": "<unknown>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

JSON request body

cursor
string | null
Required string length: 24
limit
integer
Required range: 1 <= x <= 200
types
enum<string>[]
Maximum array length: 100
Available options:
video_published,
title_changed,
thumbnail_changed,
title_ab_test,
title_ab_test_concluded,
thumbnail_ab_test,
thumbnail_ab_test_concluded,
subscriber_change,
channel_renamed,
channel_avatar_changed,
members_only_changed
channelIds
string[]
Maximum array length: 100
Required string length: 24

Response

Successful response

events
object[]
required
nextCursor
string | null
required